GStreamer::ChildProxy(3)

NAME
GStreamer::ChildProxy

DESCRIPTION
To avoid a name clash with Glib::Object::get, gst_child_proxy_get and gst_child_proxy_set are bound as GStreamer::ChildProxy::get_child_property and GStreamer::ChildProxy::set_child_property respectively.

HIERARCHY
  Glib::Interface
  +----GStreamer::ChildProxy

METHODS

  $object->child_added ($child)

•   $child (GStreamer::Object)

  object or undef = $parent->get_child_by_index ($index)

•   $index (integer)

  object or undef = $parent->get_child_by_name ($name)

•   $name (string)

  list = $object->get_child_property ($property, ...)

•   $property (string)

•   ... (list)

  $object->set_child_property ($property, $value, ...)

•   $property (string)

•   $value (scalar)

•   ... (list)

  $object->child_removed ($child)

•   $child (GStreamer::Object)

  integer = $parent->get_children_count

SIGNALS

child-added (GStreamer::ChildProxy, Glib::Object)
child-removed (GStreamer::ChildProxy, Glib::Object)

SEE ALSO
GStreamer, Glib::Interface

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.